package com.sd.business.controller.purchase;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.purchase.vo.PurchaseBomVo;
import com.sd.business.entity.purchase.dto.PurchaseBomSelectDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.service.purchase.PurchaseBomService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 采购合同bom 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-08-07
 */
@RestController
@RequestMapping("/purchaseBom")
public class PurchaseBomController {

    @Autowired
    private PurchaseBomService purchaseBomService;

    /**
     * 采购合同bom分页
     */
    @PostMapping("/page")
    public Page<PurchaseBomVo> page(@RequestBody PurchaseBomSelectDto dto) {
        return purchaseBomService.getPage(dto);
    }

    /**
     * 采购合同bom明细
     */
    @PostMapping("/detail")
    public PurchaseBomVo detail(@RequestBody BaseSelectDto dto) {
        return purchaseBomService.detail(dto.getId());
    }

    /**
     * 采购合同bom删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        purchaseBomService.delete(dto.getId());
    }

}
