package com.sd.business.service.purchase;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.sd.business.entity.purchase.po.PurchaseBom;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.purchase.vo.PurchaseBomVo;
import com.sd.business.entity.purchase.dto.PurchaseBomSelectDto;

import java.util.List;


/**
 * <p>
 * 采购合同bom 服务类
 * </p>
 *
 * @author
 * @since 2023-08-07
 */
public interface PurchaseBomService extends BaseService<PurchaseBom> {

    /**
     * 采购合同bom分页
     */
    Page<PurchaseBomVo> getPage(PurchaseBomSelectDto dto);

    /**
     * 采购合同bom明细
     */
    PurchaseBomVo detail(Long id);

    /**
     * 采购合同bom删除
     */
    void delete(Long id);

    /**
     * 查询采购单详情数据
     * @param query
     */
    List<PurchaseBomVo> getList(LambdaQueryWrapper<PurchaseBom> query);
}
